RDKit: RDKit::MolStandardize::PipelineOptions Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::MolStandardize::PipelineOptions Struct Reference

`#include <Pipeline.h>`

## Public Attributes
bool | strictParsing {false}
bool | reportAllFailures {true}
bool | allowEmptyMolecules {false}
bool | allowEnhancedStereo {false}
bool | allowAromaticBondType {false}
bool | allowDativeBondType {false}
double | is2DZeroThreshold {1e-3}
double | atomClashLimit {0.03}
double | minMedianBondLength {1e-3}
double | bondLengthLimit {100.}
bool | allowLongBondsInRings {true}
bool | allowAtomBondClashExemption {true}
std::string | metalNof {"[Li,Na,K,Rb,Cs,Fr]~[#7,#8,F]"}
std::string | metalNon {}
std::string | normalizerData
unsigned int | normalizerMaxRestarts {200}
double | scaledMedianBondLength {1.}
bool | outputV2000 {false}

## Detailed Description

Definition at line 23 of file Pipeline.h.

## Member Data Documentation

## ◆ allowAromaticBondType

bool RDKit::MolStandardize::PipelineOptions::allowAromaticBondType {false}

Definition at line 31 of file Pipeline.h.

## ◆ allowAtomBondClashExemption

bool RDKit::MolStandardize::PipelineOptions::allowAtomBondClashExemption {true}

Definition at line 38 of file Pipeline.h.

## ◆ allowDativeBondType

bool RDKit::MolStandardize::PipelineOptions::allowDativeBondType {false}

Definition at line 32 of file Pipeline.h.

## ◆ allowEmptyMolecules

bool RDKit::MolStandardize::PipelineOptions::allowEmptyMolecules {false}

Definition at line 29 of file Pipeline.h.

## ◆ allowEnhancedStereo

bool RDKit::MolStandardize::PipelineOptions::allowEnhancedStereo {false}

Definition at line 30 of file Pipeline.h.

## ◆ allowLongBondsInRings

bool RDKit::MolStandardize::PipelineOptions::allowLongBondsInRings {true}

Definition at line 37 of file Pipeline.h.

## ◆ atomClashLimit

double RDKit::MolStandardize::PipelineOptions::atomClashLimit {0.03}

Definition at line 34 of file Pipeline.h.

## ◆ bondLengthLimit

double RDKit::MolStandardize::PipelineOptions::bondLengthLimit {100.}

Definition at line 36 of file Pipeline.h.

## ◆ is2DZeroThreshold

double RDKit::MolStandardize::PipelineOptions::is2DZeroThreshold {1e-3}

Definition at line 33 of file Pipeline.h.

## ◆ metalNof

std::string RDKit::MolStandardize::PipelineOptions::metalNof {"[Li,Na,K,Rb,Cs,Fr]~[#7,#8,F]"}

Definition at line 42 of file Pipeline.h.

## ◆ metalNon

std::string RDKit::MolStandardize::PipelineOptions::metalNon {}

Definition at line 43 of file Pipeline.h.

## ◆ minMedianBondLength

double RDKit::MolStandardize::PipelineOptions::minMedianBondLength {1e-3}

Definition at line 35 of file Pipeline.h.

## ◆ normalizerData

std::string RDKit::MolStandardize::PipelineOptions::normalizerData

Definition at line 45 of file Pipeline.h.

## ◆ normalizerMaxRestarts

unsigned int RDKit::MolStandardize::PipelineOptions::normalizerMaxRestarts {200}

Definition at line 83 of file Pipeline.h.

## ◆ outputV2000

bool RDKit::MolStandardize::PipelineOptions::outputV2000 {false}

Definition at line 87 of file Pipeline.h.

## ◆ reportAllFailures

bool RDKit::MolStandardize::PipelineOptions::reportAllFailures {true}

Definition at line 28 of file Pipeline.h.

## ◆ scaledMedianBondLength

double RDKit::MolStandardize::PipelineOptions::scaledMedianBondLength {1.}

Definition at line 84 of file Pipeline.h.

## ◆ strictParsing

bool RDKit::MolStandardize::PipelineOptions::strictParsing {false}

Definition at line 25 of file Pipeline.h.

The documentation for this struct was generated from the following file:

- Pipeline.h